KJS::Boolean Class Reference

`#include <value.h>`

Inheritance diagram for KJS::Boolean:

## Public Member Functions

| Boolean (bool b=false)
bool | value () const
Public Member Functions inherited from KJS::Value
| Value (ValueImp *v)
| Value (const Value &v)
Value & | operator= (const Value &v)
bool | isValid () const
bool | isNull () const
ValueImp * | imp () const
Type | type () const
bool | isA (Type t) const
Value | toPrimitive (ExecState *exec, Type preferredType=UnspecifiedType) const
bool | toBoolean (ExecState *exec) const
double | toNumber (ExecState *exec) const
int | toInteger (ExecState *exec) const
int | toInt32 (ExecState *exec) const
unsigned int | toUInt32 (ExecState *exec) const
unsigned short | toUInt16 (ExecState *exec) const
UString | toString (ExecState *exec) const
Object | toObject (ExecState *exec) const
bool | toUInt32 (unsigned &i) const

## Static Public Member Functions

static Boolean | dynamicCast (const Value &v)

## Friends

class | BooleanImp

## Additional Inherited Members

Protected Attributes inherited from KJS::Value
ValueImp * | rep

## Detailed Description

Represents an primitive Boolean value.

Definition at line 317 of file value.h.

## Member Function Documentation

Boolean Boolean::dynamicCast | ( | const Value & | v | ) |

static

Converts a Value into an Boolean.

If the value's type is not BooleanType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type BooleanType, you should check the isValid() methods afterwards before calling any methods on the returned value.

Returns
  The value converted to a Boolean

Definition at line 325 of file value.cpp.

The documentation for this class was generated from the following files:

- value.h
- internal.h
- value.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys